@font-face {
    font-family: 'Work Sans';
    src: url('../assets/fonts/WorkSans-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

/* Variables palette de couleur */
:root {
    --vertf: #5E6B3E;       /* Vert foncé */
    --vertc: #96A775;     /* Vert clair */
    --verttc: #C0C9A7;        /* Vert très clair */
    --beige: #F3ECE1;     
    --white: #ffffff;     
    --noir: #1C1C1B;     /* Noir (pas pur) */
    --orange: #d47e0c;  
    --orangec: #f4ab49;
    --brun: #4c2b14;
    
    --container-width: 1200px;
    --transition-speed: 0.3s;
}

/* Reset et Styles de Base */
*, *::before, *::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Work Sans', sans-serif;
    color: var(--noir);
    background-color: var(--white);
    line-height: 1.6;
    overflow-x: hidden; 
}

.conteneur {
    width: 100%;
    max-width: var(--container-width);
    margin: 0 auto;
    padding: 0 20px;
}

img {
    max-width: 100%;
    display: block;
}

a {
    text-decoration: none;
    color: inherit;
    transition: all var(--transition-speed) ease;
}

.carte-rdv-animee.gauche {
    opacity: 0;
    transform: translateY(100px);
    transition: opacity 0.6s ease-out, transform 0.7s ease-out;
    will-change: opacity, transform;
}

.carte-rdv-animee.droite {
    opacity: 0;
    transform: translateY(110px);
    transition: opacity 1s ease-out, transform 1.1s ease-out;
    will-change: opacity, transform;
}

.carte-rdv-animee.visible {
    opacity: 1;
    transform: translateY(0);
}